Package com.sun.mail.iap

## Class LiteralException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.mail.iap.ProtocolException
      - - com.sun.mail.iap.LiteralException

All Implemented Interfaces:
  `java.io.Serializable`

    public class LiteralException
    extends ProtocolException

Author:
  Bill Shannon
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.sun.mail.iap.ProtocolException

`response`

### Constructor Summary

Constructors
`LiteralException​(Response r)` Constructs a LiteralException with the specified Response object.

### Method Summary

### Methods inherited from class com.sun.mail.iap.ProtocolException

`getResponse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LiteralException

    public LiteralException​(Response r)

Constructs a LiteralException with the specified Response object.

Parameters:
  `r` - the response object